> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update integration source schema

> Updates the integration source schema config for the specified integration



## OpenAPI

````yaml PATCH /integrations/{id}/schemas
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations/{id}/schemas:
    patch:
      description: >-
        Updates the integration source schema config for the specified
        integration
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: The ID of the integration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationSchemaConfigApiRequestBody'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationSchemaConfigApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IntegrationSchemaConfigApiRequestBody:
      type: object
      properties:
        schemas:
          type: object
          properties:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                tables:
                  type: object
                  properties:
                    table:
                      type: object
                      properties:
                        enabled:
                          type: boolean
                        columns:
                          type: object
                          properties:
                            column:
                              type: object
                              properties:
                                enabled:
                                  type: boolean
                                hashed:
                                  type: boolean
    IntegrationSchemaConfigApiResponse:
      type: object
      properties:
        code:
          type: string
        data:
          type: object
          properties:
            schemas:
              type: object
              properties:
                schema:
                  type: object
                  properties:
                    nameInDestination:
                      type: string
                    enabled:
                      type: boolean
                    tables:
                      type: object
                      properties:
                        table:
                          type: object
                          properties:
                            nameInDestination:
                              type: string
                            enabled:
                              type: boolean
                            syncMode:
                              type: string
                            cursorField:
                              type: string
                            columns:
                              type: object
                              properties:
                                column:
                                  type: object
                                  properties:
                                    nameInDestination:
                                      type: string
                                    enabled:
                                      type: boolean
                                    hashed:
                                      type: boolean
                                    isPrimaryKey:
                                      type: boolean
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````